package ru.yandex.webmaster.viewer.service.webmaster3;

import ru.yandex.wmconsole.data.VerificationStateEnum;
import ru.yandex.wmconsole.verification.VerificationTypeEnum;

import java.util.Date;

/**
 * @author avhaliullin
 */
public class HostVerificationInfo {
    private final VerificationStateEnum state;
    private final VerificationTypeEnum verificationType;
    private final Long verificationUin;
    private final Date verificationDate;

    public HostVerificationInfo(VerificationStateEnum state, VerificationTypeEnum verificationType, Long verificationUin, Date verificationDate) {
        this.state = state;
        this.verificationType = verificationType;
        this.verificationUin = verificationUin;
        this.verificationDate = verificationDate;
    }

    public VerificationStateEnum getState() {
        return state;
    }

    public VerificationTypeEnum getVerificationType() {
        return verificationType;
    }

    public Long getVerificationUin() {
        return verificationUin;
    }

    public Date getVerificationDate() {
        return verificationDate;
    }
}
